Bug 972239 - root.conf.helper should be replaced by get_root_helper
root.conf.helper should be replaced by get_root_helper
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-neutron (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: Havana
Assigned To: RHOS Maint
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 18:54 EDT by Etsuji Nakai
Modified: 2016-04-26 12:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 07:28:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch for interface.py (888 bytes, patch)
2013-06-07 18:55 EDT, Etsuji Nakai
no flags Details | Diff
suggested patch for dhcp_agent.py (701 bytes, patch)
2013-06-07 18:56 EDT, Etsuji Nakai
no flags Details | Diff
suggested patch for l3_agent.py (878 bytes, patch)
2013-06-07 18:57 EDT, Etsuji Nakai
no flags Details | Diff

  None (edit)
Description Etsuji Nakai 2013-06-07 18:54:45 EDT
Description of problem:

"root.conf.helper" has been replaced by "get_root_helper" with the following change:

https://review.openstack.org/gitweb?p=openstack/quantum.git;a=commit;h=1b7565b83ca8ef9761cdfb1eed1e9eb9498ea340

But there remains a few root.conf.helper in the following codes.

- agent/linux/interface.py
- agent/dhcp_agent.py
- agent/l3_agent.py

As a result, some agents fails to start becuase /usr/bin/quantum-rootwrap is not used. For example, I found the following errors in my setup.

dhcp-agent.log
-------------------
RuntimeError:
Command: ['sudo', 'ip', 'netns', 'exec', 'qdhcp-0f37af2c-67fb-4870-a5d5-aec4f1d9568c', 'quantum-ns-metadata-proxy', '--pid_file=/var/lib/quantum/external/pids/0f37af2c-67fb-4870-a5d5-aec4f1d9568c.pid', '--network_id=0f37af2c-67fb-4870-a5d5-aec4f1d9568c', '--state_path=/var/lib/quantum', '--metadata_port=80', '--verbose', '--log-file=quantum-ns-metadata-proxy0f37af2c-67fb-4870-a5d5-aec4f1d9568c.log', '--log-dir=/var/log/quantum']
Exit code: 1
Stdout: ''
Stderr: 'sudo: no tty present and no askpass program specified\n'
-------------------

/var/log/secure
-------------------
Jun  6 17:25:12 rdodemo01 sudo:  quantum : command not allowed ; TTY=unknown ; PWD=/ ; USER=root ; COMMAND=/sbin/ip netns exec qdhcp-0f37af2c-67fb-4870-a5d5-aec4f1d9568c quantum-ns-metadata-proxy --pid_file=/var/lib/quantum/external/pids/0f37af2c-67fb-4870-a5d5-aec4f1d9568c.pid --network_id=0f37af2c-67fb-4870-a5d5-aec4f1d9568c --state_path=/var/lib/quantum --metadata_port=80 --verbose --log-file=quantum-ns-metadata-proxy0f37af2c-67fb-4870-a5d5-aec4f1d9568c.log --log-dir=/var/log/quantum
-------------------


Version-Release number of selected component (if applicable):

# rpm -qa | grep quantum
openstack-quantum-openvswitch-2013.1.1-6.el6.noarch
openstack-quantum-2013.1.1-6.el6.noarch
python-quantumclient-2.2.1-2.el6.noarch
python-quantum-2013.1.1-6.el6.noarch


Additional info:

I will attach three patches. See the next comment.

By the way, the following problem is cuased by the same reason.

https://bugs.launchpad.net/quantum/+bug/1182616
Comment 1 Etsuji Nakai 2013-06-07 18:55:46 EDT
Created attachment 758362 [details]
suggested patch for interface.py
Comment 2 Etsuji Nakai 2013-06-07 18:56:30 EDT
Created attachment 758363 [details]
suggested patch for dhcp_agent.py
Comment 3 Etsuji Nakai 2013-06-07 18:57:00 EDT
Created attachment 758364 [details]
suggested patch for l3_agent.py
Comment 4 lpeer 2013-08-21 07:28:59 EDT
This is fixed in Havana.

Note You need to log in before you can comment on or make changes to this bug.